Subject: bug#318 closed by Mark Hindley <[email-masked]> (Re: bug#480: Firefox - no sound)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Wed, 03 Jun 2020 19:03:18 +0000

This is an automatic notification regarding your bug report
which was filed against the pulseaudio package:

#318: pulseaudio: autospawn is required on Beowulf (Ceres)

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
480: https://bugs.devuan.org/cgi/bugreport.cgi?bug=480
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#480: Firefox - no sound
From: Mark Hindley <[email-masked]>
To: Michaela Merz <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 3 Jun 2020 19:44:01 +0100

reassign 480 pulseaudio
forcemerge 276 480

On Wed, Jun 03, 2020 at 12:06:42PM -0500, Michaela Merz wrote:
>    > > [1] http://files.devuan.org/devuan_beowulf/Release_notes.txt > >
>    --00000000000000808705a7310ed4 Content-Type: text/html; charset="UTF-8"
>    Content-Transfer-Encoding: quoted-printable
> 
>    Mark:
>    Rats. I enabled autospawn in client.conf, but forgot about
> 00-disable-autospawn.conf
> 
> Confirming that firefox works with audio now. Sory to bother you :(

Thanks.

Closing

Mark

Subject: pulseaudio: autospawn is required on Beowulf (Ceres)
From: Gour <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Fri, 19 Apr 2019 06:49:20 +0200

Package: pulseaudio
Version: 12.2-4
Severity: important

Dear Maintainer,

   * What led up to the situation?

   I've PulseAudio selected as 'autostart', but there is no sound.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

   * What was the outcome of this action?

   Inspecting my Beowulf system I noticed that only this was running:

   /usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/x86_64-linux-
gnu/xfce4/panel/plugins/libpulseaudio-plugin.so 21 18874412 pulseaudio
PulseAudio Plugin Adjust the audio volume of the PulseAudio sound system

   Moreover, attempt to start pavucontrol or mixer from the Xfce panel
   results in the mixer hanging with ""Establishing connection to
   PulseAudio" message.

   * What outcome did you expect instead?

   Running pulseaudio and working sound.

    However, I've found the solution to the problem by browsing Debian's
    bugtracker - see:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=923203

    So, solution, for Beowulf and probably Ceres is to uncomment

    #00-disable-autospawn.conf

    line in $ /etc/pulse/client.conf.d/00-disable-autospawn.conf

    and then pulseaudio is correctly started as it is visible by:

    $ ps ax | grep pulse
 3587 ?        Sl
    0:03 /usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libpulseaudio-plugin.so
    21 18874412 pulseaudio PulseAudio Plugin Adjust the audio volume of
    the PulseAudio sound system
 3614 ?        S<l    0:00 /usr/bin/pulseaudio --start
    --log-target=syslog

-- Package-specific info:
File '/etc/default/pulseaudio' does not exist

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux beowulf/ceres
Release:	10
Codename:	n/a
Architecture: x86_64

Kernel: Linux 4.19.0-4-amd64 (SMP w/8 CPU cores)
Locale: LANG=hr_HR.UTF-8, LC_CTYPE=hr_HR.UTF-8 (charmap=UTF-8),
LANGUAGE=en_GB:en (charmap=UTF-8) Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages pulseaudio depends on:
ii  adduser                      3.118
ii  libasound2                   1.1.8-1
ii  libasound2-plugins           1.1.8-1
ii  libc6                        2.28-8
ii  libcap2                      1:2.25-2
ii  libdbus-1-3                  1.12.12-1+devuan2
ii  libgcc1                      1:8.3.0-6
ii  libice6                      2:1.0.9-2
ii  libltdl7                     2.4.6-9
ii  liborc-0.4-0                 1:0.4.28-3.1
ii  libpulse0                    12.2-4
ii  libsm6                       2:1.2.3-1
ii  libsndfile1                  1.0.28-6
ii  libsoxr0                     0.1.2-3
ii  libspeexdsp1                 1.2~rc1.2-1+b2
ii  libstdc++6                   8.3.0-6
ii  libsystemd0                  241-3
ii  libtdb1                      1.3.16-2+b1
pn  libudev1                     <none>
ii  libwebrtc-audio-processing1  0.3-1
ii  libx11-6                     2:1.6.7-1
ii  libx11-xcb1                  2:1.6.7-1
ii  libxcb1                      1.13.1-2
ii  libxtst6                     2:1.2.3-1
ii  lsb-base                     10.2019031300
ii  pulseaudio-utils             12.2-4

Versions of packages pulseaudio recommends:
pn  dbus-user-session                <none>
ii  libpam-elogind [libpam-systemd]  234.4-2
ii  rtkit                            0.11-6

Versions of packages pulseaudio suggests:
pn  paman        <none>
pn  paprefs      <none>
ii  pavucontrol  3.0-4
pn  pavumeter    <none>
ii  udev         1:3.2.7+devuan1.1

-- no debconf information

--